Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.export.notification
Interface NotificationPublisherAware

    public interface NotificationPublisherAware

Interface to be implemented by any Spring-managed resource that is to be registered with an `MBeanServer` and wishes to send JMX `javax.management.Notifications`.

Provides Spring-created managed resources with a `NotificationPublisher` as soon as they are registered with the `MBeanServer`.

NOTE: This interface only applies to simple Spring-managed beans which happen to get exported through Spring's `MBeanExporter`. It does not apply to any non-exported beans; neither does it apply to standard MBeans exported by Spring. For standard JMX MBeans, consider implementing the `ModelMBeanNotificationBroadcaster` interface (or implementing a full `ModelMBean`).

Since:
  2.0
Author:
  Rob Harrop
See Also:
  `NotificationPublisher`

Method Summary
`void` | `setNotificationPublisher(NotificationPublisher notificationPublisher)` Set the `NotificationPublisher` instance for the current managed resource instance.

Method Detail

### setNotificationPublisher

    void setNotificationPublisher(NotificationPublisher notificationPublisher)

  Set the `NotificationPublisher` instance for the current managed resource instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD